Bug 1767665 (CVE-2020-10715) - CVE-2020-10715 openshift/console: text injection on error page via crafted url
Summary: CVE-2020-10715 openshift/console: text injection on error page via crafted url
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-10715
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Robb Hamilton
QA Contact:
URL:
Whiteboard:
Depends On: 1827005 1827004
Blocks: 1767666
TreeView+ depends on / blocked
 
Reported: 2019-10-31 23:35 UTC by Mark Cooper
Modified: 2020-08-20 03:21 UTC (History)
15 users (show)

Fixed In Version: openshift/origin-web-console 2ff65968d1b23ac70aee0bb7c4aa5366378f8ee6
Doc Type: If docs needed, set a value
Doc Text:
A content spoofing vulnerability was found in the openshift/console. This flaw allows an attacker to craft a URL and inject arbitrary text onto the error page that appears to be from the OpenShift instance. This attack could potentially convince a user that the inserted text is legitimate.
Clone Of:
Environment:
Last Closed: 2020-07-27 19:27:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:2992 None None None 2020-07-27 18:49:26 UTC

Description Mark Cooper 2019-10-31 23:35:20 UTC
In the OpenShift web console in versions 3.11 and 4.x an attacker can craft a URL in which to inject arbitrary text into error pages. This could be used to convince a user that the injected text is legitimate. 

References:

https://www.owasp.org/index.php/Content_Spoofing

Comment 10 errata-xmlrpc 2020-07-27 18:49:24 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 3.11

Via RHSA-2020:2992 https://access.redhat.com/errata/RHSA-2020:2992

Comment 11 Product Security DevOps Team 2020-07-27 19:27:40 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-10715

Comment 12 Mark Cooper 2020-07-29 05:20:30 UTC
Upstream fix: https://github.com/openshift/origin-web-console/pull/3173


Note You need to log in before you can comment on or make changes to this bug.